package org.isakiev.fileManager.contentManagers;


import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.io.File;

/**
 * Contains lists of the files and directories.
 * @author Ruslan Isakiev
 */
class FilesList {
	
	private ArrayList<File> myFiles;
	private ArrayList<File> myDirectories;
	private long myTotalLength;
	
	public FilesList() {
		myFiles = new ArrayList<File>();
		myDirectories = new ArrayList<File>();
		myTotalLength = 0;
	}
	
	public void addFile(File file) {
		myFiles.add(file);
		myTotalLength += file.length();
	}
	
	public void addDirectory(File dir) {
		myDirectories.add(0,dir);
	}
	
	public void addFilesList(FilesList list) {
		myFiles.addAll(list.myFiles);
		myDirectories.addAll(list.myDirectories);
		myTotalLength += list.myTotalLength;
	}
	
	public long getTotalLength() {
		return myTotalLength;
	}
	
	public int getFilesNumber() {
		return myFiles.size();
	}
	
	public int getDirsNumber() {
		return myDirectories.size();
	}
	
	public List<File> getFiles() {
		return Collections.unmodifiableList(myFiles);
	}
	
	public List<File> getDirectories() {
		return Collections.unmodifiableList(myDirectories);
	}
	
}
