package org.isakiev.fileManager.contentViewers;

import javax.swing.JPanel;

/**
 * Interface of content viewer.
 * @author Ruslan Isakiev
 */
public interface IContentViewer {
	
	/**
	 * Returns the style of this viewer
	 * @return viewer style
	 */
	public SupportedViewerStyles getStyle();
	
	/**
	 * Returns viewer's panel.
	 */
	public JPanel getMainPanel();
	
	/**
	 * Returns viewer's current state
	 * @return current state
	 */
	public ViewerState getState();
	
	/**
	 * Sets new viewer's current state
	 * @return viewer's state
	 */
	public void setState(ViewerState state);
	
}
