package org.isakiev.fileManager.contentViewers;

import javax.swing.*;

import java.awt.BorderLayout;
import javax.swing.border.EmptyBorder;
import org.isakiev.fileManager.contentManagers.IProcessInfoListener;

/**
 * This frame shows information about copy/move/delete processes
 * @author Ruslan Isakiev
 */
public class ProcessIndicatorFrame extends JFrame implements IProcessInfoListener{
	
	private BoundedRangeModel myModel;
	private JLabel myLabel;
	
	
	public ProcessIndicatorFrame(String frameCaption) {
		
		super(frameCaption);
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		
		myModel = new DefaultBoundedRangeModel(0,0,0,100);
		JProgressBar progressBar = new JProgressBar(myModel);
		progressBar.setStringPainted(true);
		myLabel = new JLabel(" ");
		JPanel panel = new JPanel();
		panel.setLayout(new BorderLayout());
		panel.add(myLabel,BorderLayout.PAGE_START);
		panel.add(progressBar, BorderLayout.CENTER);
		panel.setBorder(new EmptyBorder(10,10,10,10));
		
		add(panel);
		setSize(400,100);
		this.setLocationByPlatform(true);
		
		setVisible(true);
	}
	
	protected void changeProgress(int percents) {
		myModel.setValue(percents);
	}
	
	protected  void setLabelText(String text) {
		myLabel.setText(text);
	}
	
	protected  void finishProcess() {
		this.dispose();
	}
	
	public void activity() {
		for (int i=0; i<100; i++);
		
	}
	public void progressChanged(int percents){
		;
	}
	
	public void processingNewFile(String name){
		;
	}
	
	public void processFinished(String warningMessage){
		;
	}
	
	public void showMessage(String message){
		;
	}
}
