package org.isakiev.fileManager.contentViewers.explorer;

import javax.swing.JLabel;
import org.isakiev.fileManager.entities.IEntity;
import org.isakiev.fileManager.utils.Tools;

/**
 * This label diplays information about the specified entity.
 * @author Ruslan Isakiev
 */
class InfoLabel extends JLabel {
	
	/**
	 * Creates label with entity information.
	 * @param entity entity
	 */
	public InfoLabel(IEntity entity) {
		super();
		setVerticalAlignment(JLabel.TOP);
		setHorizontalAlignment(JLabel.LEFT);
		
		//Creating information to be displayed
		StringBuffer buffer = new StringBuffer();
		buffer.append("<html><table border=0 cellspacing=0 cellpadding=0 width=100%><tr><td colspan=2>");
		buffer.append("<font color=green>&nbsp;&nbsp;").append(entity.toString()).append("</font></td></tr>");
		
		if (entity.isDirEntity()) {
			//if not the tree root
			if (entity.getParent() != null) {
				buffer.append("<tr><td>&nbsp;&nbsp;Entity type:</td><td>&nbsp;&nbsp;Directory</td></tr>");
				buffer.append("<tr><td>&nbsp;&nbsp;Last modified:</td>");
				buffer.append("<td>&nbsp;&nbsp;").append(Tools.getDateTimeString(entity.getFile().lastModified())).append("</td></tr>");
			}
		} else if (entity.isFileEntity()) {
			buffer.append("<tr><td>&nbsp;&nbsp;Entity type:</td><td>&nbsp;&nbsp;File</td></tr>");
			buffer.append("<tr><td>&nbsp;&nbsp;File type:</td><td>&nbsp;&nbsp;").append(entity.getType().getDescription()).append("</td></tr>");
			buffer.append("<tr><td>&nbsp;&nbsp;File size:</td><td>&nbsp;&nbsp;").append(Tools.getFileSizeString(entity.getFile().length())).append("</td></tr>");
			buffer.append("<tr><td>&nbsp;&nbsp;Last modified:</td><td>&nbsp;&nbsp;" + Tools.getDateTimeString(entity.getFile().lastModified())).append("</td></tr>");
		} else if (entity.isDiskEntity()) {
			buffer.append("<tr><td>&nbsp;&nbsp;Entity type:</td><td>&nbsp;&nbsp;Disk</td></tr>");
		}
		buffer.append("</table></html>");
		setText(buffer.toString());
	}

}
