package org.isakiev.fileManager.contentViewers.nc;

import javax.swing.JComponent;

/**
 * Panel Dispatcher is used to switch panels in the NC style viewer.
 * @author Isakiev Ruslan
 */
public interface IPanelDispatcher {
	
	/**
	 * Replace previous component with a new component
	 * @param sourceComponent component to be replaced
	 * @param newComponent new component
	 */
	public void replaceComponent(JComponent sourceComponent, JComponent newComponent);
	
	/**
	 * Sets default component instead of specified component
	 * @param sourceComponent component to be replaced
	 */
	public void restoreDefaultComponent(JComponent sourceComponent);
}
