package org.isakiev.fileManager.contentViewers.nc;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import org.isakiev.fileManager.utils.*;

public class NCMessageWindow extends JWindow {
	
	public NCMessageWindow(JComponent parentComponent, String caption, Color backgroundColor, Color textColor) {
		super();
		int xInset = 13;
		int yInset = 15;
		
		Font font = Settings.getInstance().getFont();
		FontMetrics metrics = getFontMetrics(font);
		int width = metrics.stringWidth(caption) + 2 * xInset;
		int height = metrics.getHeight() + 2 * yInset;
		//System.out.println(metrics.getHeight());
		setSize(width,height);
		
		if (parentComponent != null) {
			int x = parentComponent.getLocation().x + (parentComponent.getWidth() - width)/2;
			int y = parentComponent.getLocation().y + (parentComponent.getHeight() - height)/2;
			setLocation(x,y);
		}

		JLabel label = new JLabel(" "+caption);
		label.setFont(font);
		label.setForeground(textColor);
		label.setAlignmentX(JComponent.CENTER_ALIGNMENT);
		
		JPanel panel = new JPanel();
		Border border = new CompoundBorder(new EmptyBorder(5,3,5,5),NCStyleBorderFactory.createNCBorder(textColor, font, "", ""));
		border = NCStyleBorderFactory.createDoubleLineBorder(textColor);
		panel.setBorder(border);
		//panel.setBackground(backgroundColor);
		panel.setLayout(new GridLayout(1,1));
		panel.add(label);
		add(panel);
		setVisible(true);
	}
	
	public NCMessageWindow(JComponent parentComponent, String caption) {
		
		this(parentComponent, caption, Color.LIGHT_GRAY, Color.DARK_GRAY);
	}

}
