package org.isakiev.fileManager.entities;

import java.util.Comparator;

/**
 * Comparator, used to sort lists of <code>Entity</code>
 * @param <T> Has to be <Entity>
 * @author Isakiev Ruslan.
 */
public class EntityComparator<T> implements Comparator<T>{

	
	/**
	 * Main constructor.
	 */
	public EntityComparator() {
		//Do nothing
	}
	
	public int compare(T obj1, T obj2) {

		IEntity e1 = (IEntity) obj1;
		IEntity e2 = (IEntity) obj2;

		if (e1.isFileEntity()) {
			if (e2.isFileEntity()) {
				return e1.toString().compareTo(e2.toString());
			} else {
				return 1;
			}
		} else {
			if (e2.isFileEntity()) {
				return -1;
			} else {
				return e1.toString().compareTo(e2.toString());
			}
		}
	}
}
