package org.isakiev.fileManager.entityTypes;

import java.awt.Color;

import javax.swing.Icon;

import org.isakiev.fileManager.utils.Settings;


abstract class AbstractType implements IEntityType {
	
	private Icon myIcon = null;
	
	public boolean isArchive() {
		return false;
	}
	
	public boolean isExecutable() {
		return false;
	}
	
	public void setIcon(Icon icon) {
		myIcon = icon;
	}
	
	public Icon getIcon() {
		return myIcon;
	}
	
	/**
	 * Gets color to be used in NC style viewer for this file type.
	 * @return color for NC style viewer
	 */
	public Color getColorForNCViewer() {
		return Settings.getInstance().getTextColor();
	}
	
	//Inherited from an interface
	public abstract int getPriority();
	public abstract boolean checkFile(FileInfo info);
	public abstract String getName();
	public abstract String getDescription();
	
	
	public IEntityViewer getViewer() {
		return EmptyViewer.getInstance();
	}
	

}
