package org.isakiev.fileManager.entityTypes;

import javax.swing.JComponent;
import org.isakiev.fileManager.entities.IEntity;

/**
 * This is an empty viewer, which does not show any information.
 * @author Ruslan Isakiev
 */
class EmptyViewer extends JComponent implements IEntityViewer {

	private static EmptyViewer myInstance = null;
	
	private EmptyViewer() {
		super();
	}
	
	/**
	 * Gets viewer instance.
	 * @return viewer instance
	 */
	public static EmptyViewer getInstance() {
		if (myInstance == null) {
			myInstance = new EmptyViewer();
		}
		return myInstance;
	}
	
	public JComponent getViewerComponent(IEntity entity) {
		return myInstance;
	}

}
