package org.isakiev.fileManager.entityTypes;

import java.awt.Image;
import java.awt.Toolkit;
import javax.swing.ImageIcon;
import javax.swing.JComponent;
import javax.swing.JLabel;

import org.isakiev.fileManager.entities.IEntity;

/**
 * This is a factory producing image viewers
 * @author Ruslan Isakiev
 */
class ImageViewer implements IEntityViewer {

	private static ImageViewer myInstance = null;
	
	private ImageViewer() {
		//Do nothing
	}
	
	/**
	 * Gets viewer instance.
	 * @return viewer instance
	 */
	public static ImageViewer getInstance() {
		if (myInstance == null) {
			myInstance = new ImageViewer();
		}
		return myInstance;
	}
	
	public JComponent getViewerComponent(IEntity entity) {
		Image image = Toolkit.getDefaultToolkit().getImage(entity.getFile().getAbsolutePath());
		return new JLabel(new ImageIcon(image));
	}

}


