package org.isakiev.fileManager.tests;

import org.isakiev.fileManager.contentManagers.IContentManager;
import org.isakiev.fileManager.entities.*;
import org.isakiev.fileManager.entityTypes.EntityTypeContainer;

import java.io.File;
import java.util.*;

/**
 * Test edition of content manager.
 * @author Isakiev Ruslan
 */
public class ContentManagerTestEdition extends ContentManagerAdapter  {
	
	public IDirEntity getRoot() {
		IDirEntity result = EntityFactory.createGlobalRootDirEntity();
		ArrayList<IEntity> children = new ArrayList<IEntity>(3);
		MyFile.setSeparator("\\");
		children.add(0,EntityFactory.createDirEntity(new MyFile("x:\\"), result, EntityTypeContainer.getInstance().getDiskType()));
		children.add(1,EntityFactory.createDirEntity(new MyFile("y:\\"), result, EntityTypeContainer.getInstance().getDiskType()));
		children.add(2,EntityFactory.createDirEntity(new MyFile("z:\\"), result, EntityTypeContainer.getInstance().getDiskType()));

		result.setChildren(children);
		return result;
	}
	
	public void exploreDir(IDirEntity dir) {

		ArrayList<IEntity> children = new ArrayList<IEntity>(4);
		MyFile.setSeparator("\\");
		children.add(0,EntityFactory.createDirEntity(new MyFile(dir.getFile(),"abc"), dir, EntityTypeContainer.getInstance().getDirectoryType()));
		children.add(1,EntityFactory.createDirEntity(new MyFile(dir.getFile(),"klm"), dir, EntityTypeContainer.getInstance().getDirectoryType()));
		children.add(2,EntityFactory.createFileEntity(new MyFile(dir.getFile(),"123.bmp"), dir, EntityTypeContainer.getInstance().getCompressedFileType()));
		children.add(3,EntityFactory.createFileEntity(new MyFile(dir.getFile(),"456.txt"), dir, EntityTypeContainer.getInstance().getCompressedFileType()));

		dir.setChildren(children);
	}

}
