package org.isakiev.fileManager.tests;

import java.io.File;
import java.util.ArrayList;

import org.isakiev.fileManager.contentManagers.IContentManager;
import org.isakiev.fileManager.entities.EntityFactory;
import org.isakiev.fileManager.entities.IDirEntity;
import org.isakiev.fileManager.entities.IEntity;

/**
 * Test edition of content manager with explored directories logging.
 * @author Isakiev Ruslan
 */
public class ContentManagerWithLog extends ContentManagerAdapter {
	
	private MyLogger myLogger;
	
	/**
	 * Main constructor.
	 * @param logger used to accumulate list of the explored directories.
	 */
	public ContentManagerWithLog(MyLogger logger){
		myLogger = logger;
	}

	public IDirEntity getRoot() {
		
		IDirEntity result = EntityFactory.createGlobalRootDirEntity();
		ArrayList<IEntity> children = new ArrayList<IEntity>(1);
		children.add(0,EntityFactory.createDirEntity(new File("c:\\"), result, null));
		
		result.setChildren(children);
		return result;
	}

	public void exploreDir(IDirEntity dir) {
		
		myLogger.addRecord(dir.getFile().toString());
		
		ArrayList<IEntity> children = new ArrayList<IEntity>(4);
		children.add(0,EntityFactory.createDirEntity(new File(dir.getFile(),"aaa"), dir, null));
		children.add(1,EntityFactory.createDirEntity(new File(dir.getFile(),"bbb"), dir, null));
		children.add(2,EntityFactory.createDirEntity(new File(dir.getFile(),"ccc"), dir, null));

		dir.setChildren(children);

	}

}
