package org.isakiev.fileManager.utils;

import java.util.logging.*;
import java.util.HashMap;

public class HTMLFormatter extends Formatter {
	
	private String myTitle;
	private HashMap<Level,String> myTRs;
	
	public HTMLFormatter(String title) {
		myTitle = title;
		myTRs = new HashMap<Level,String>();
		myTRs.put(Level.SEVERE,"<tr bgcolor=\"#FF3D17\">");
		myTRs.put(Level.WARNING,"<tr bgcolor=\"#FD8BAE\">");
		myTRs.put(Level.INFO,"<tr bgcolor=\"#C4FFC5\">");
		myTRs.put(Level.FINE,"<tr bgcolor=silver>");
		myTRs.put(Level.FINER,"<tr>");
		myTRs.put(Level.FINEST,"<tr>");
		
	}
	
	 // This method is called just after the handler using this
    // formatter is created
    public String getHead(Handler h) {
    	StringBuffer buf = new StringBuffer();
    	buf.append("<html>\n<head>\n<title>");
    	buf.append(myTitle);
    	buf.append(" log</title>\n</head>\n<body>\n");
    	buf.append("<h1 align=center>");
    	buf.append(myTitle);
    	buf.append(" log</h1>\n");
    	buf.append("<h3 align=center>(");
    	buf.append(Tools.getDateTimeString(System.currentTimeMillis()));
    	buf.append(")</h3>\n");
    	buf.append("<table width=100% border=1>\n");
    	buf.append("<tr bgcolor=silver align=center>");
    	buf.append("<td>Time</td>");
    	buf.append("<td>Level</td>"); 
    	buf.append("<td>Class</td>");
    	buf.append("<td>Method</td>");
    	buf.append("<td>Message</td></tr>");
        return buf.toString();
    }
    
	
	public String format(LogRecord rec) {
		
        StringBuffer buf = new StringBuffer(1000);
        buf.append(myTRs.get(rec.getLevel()));
        buf.append("<td>");
        buf.append(Tools.getTimeString(rec.getMillis()));
        buf.append("</td><td>");
        buf.append(rec.getLevel());
        buf.append("</td><td>");
        buf.append(rec.getSourceClassName());
        buf.append("</td><td>");
        buf.append(rec.getSourceMethodName());
        buf.append("</td><td>");
        buf.append(formatMessage(rec));
        buf.append("</td></tr>\n");

        return buf.toString();
    }

    // This method is called just after the handler using this
    // formatter is closed
    public String getTail(Handler h) {
        return "\n</table>\n</body>\n</html>\n";
    }
}


